Subject: Re: [PATCH net 2/2] selftests/rtnetlink.sh: add mngtempaddr test

From: Hangbin Liu <[email-masked]>
Date: Mon, 18 Nov 2024 01:19:55 +0000

On Thu, Nov 14, 2024 at 07:13:40AM -0800, Jakub Kicinski wrote:
> > I will modify the test with Sam's suggestions and see if it could pass.
> 
> The other option is that some other test doesn't clean up after itself,
> since we reuse VMs. We have a script in NIPA to map things:
> contest/cithreadmap
> 
> Looks like we run rtnetlink.sh after pmtu.sh, I wonder if pmtu.sh is to
> blame:
> 
> Thread3-VM0
> 	 4-pmtu-sh/
> 	 5-rtnetlink-sh/
> 	....

I can't see how the pmtu test affects the dummy interface test in
a single namespace... I may add some debug info in the next version.

Thanks
Hangbin